<?
// сылка воскрешение для админа
if ($login==$moder || $login==$moder1 || $login==$moder2) {
	if ($mod=='1') {
	msg("Пока что так...
	<br/><a href=\"$PHP_SELF?sid=$sid&mod=online\">Кто в игре</a>
  <br/><a href=\"$PHP_SELF?sid=$sid&mod=telep\">Телепортация (loc.xxx)</a>
  <br/><a href=\"$PHP_SELF?sid=$sid&mod=pnut\">Пнуть игрока</a>
  <br/><a href=\"$PHP_SELF?sid=$sid&mod=msgtoall\">Cообщение всем игрокам online</a>");
  }
  //ТЕЛЕПОРТ
  if ($mod=="pnut"){
  $stmp.="<a href=\"$PHP_SELF?sid=$sid\">(+)</a>";
if ($logy) $dates="&logy=$logy";
if ($logy) { if ($logy==$login) msg("ERROR: Вы не можете блокировать сами себя");}
if (!$ban){
$stmp.="<form action=\"$PHP_SELF?sid=$sid&mod=pnut&ban=user$dates\" method=\"post\" >";
if (!$logy) {
$stmp.="Логин: <br/>
<input name=\"logy\" value=\"user.\"/>";
}else{
$stmp.="Логин: <br/>
<span style=\"color:red\">".$logy."</span>";
}
$stmp.="<br/>Причина:
<br/><select name=\"pr\" value=\"pr\"/>
<option value=\"2\">клон наказанного</option>
<option value=\"3\">оскр. к админу</option>
<option value=\"4\">оскр. к игроку</option>
<option value=\"5\">за неуважения</option>
<option value=\"6\">Флуд, оффтопик</option>
<option value=\"7\">по собств. желанию</option>
<option value=\"8\">нед. поведения</option>
<option value=\"10\">правила</option>
</select>";
$stmp.="<br/>Срок:
<br/><select name=\"srok\" value=\"srok\"/>
<option value=\"900\">15 мин</option>
<option value=\"2700\">45 мин</option>
<option value=\"3600\">1 час</option>
<option value=\"10800\">3 часа</option>
<option value=\"32400\">9 часа</option>
<option value=\"86400\">1 день</option>
<option value=\"172800\">2 дня</option>
<option value=\"259200\">3 дня</option>
</select>";
$stmp.="<br/><input type=\"submit\" value=\"блокировать\" />";
}else{
if ($srok=="900") $mi="15 мин";
if ($srok=="2700") $mi="45 мин";
if ($srok=="3600") $mi="1 час";
if ($srok=="10800") $mi="3 часа";
if ($srok=="32400") $mi="9 часа";
if ($srok=="86400") $mi="1 день";
if ($srok=="172800") $mi="2 дня";
if ($srok=="259200") $mi="3 дня";
if ($pr=="2"){ $rez="блокирован(a) на ".$mi.", как клон наказанного";}
if ($pr=="3") {$rez="блокирован(a) на ".$mi.", за оскорбления к администраций";}
if ($pr=="4") {$rez="блокирован(a) на ".$mi.", за оскорбления к игрокам";}
if ($pr=="5") {$rez="блокирован(a) на ".$mi.", за неуважения к администрации";}
if ($pr=="6") {$rez="блокирован(a) на ".$mi.", за мат, оффтопик или флуд в игре, чате или в форуме";}
if ($pr=="7") {$rez="блокирован(a) на ".$mi.", по собственну желанию";}
if ($pr=="8") {$rez="блокирован(a) на ".$mi.", за недостойное поведения";}
if ($pr=="10") {$rez="блокирован(a) на ".$mi.", за несаблюдений правил";}
if (!$logy) msg("None &#34;Login&#34;");
if (!$pr) msg("None &#34;The reason&#34;");
if ($logy==$admin || $logy==$admin2) msg("ERROR: Login Failed!");
if ($logy=="user.") msg("ERROR: Enter &#34;Login&#34;");
if (isset($game["players"][$logy])) {
if ($game["loc"][$game["players"][$logy]][$logy]["game_ban"]) msg("ERROR: Персонаж уже забанет!");
$game["loc"][$game["players"][$logy]][$logy]["game_ban"]=1;
$game["loc"][$game["players"][$logy]][$logy]["game_ban_time"]=time()+$srok;
$title=$game["loc"][$game["players"][$logy]][$logy]["title"];
$stmp.="<br/>".$title." забанет!";
$like=date("d.m.y H:i");
$fp=@fopen("data/nak.dat","a+");
fwrite($fp, "$player[title]|$like|$title|$rez\n");
fclose($fp);
}else{
$kto = implode("",file("users/$logy.dat"));
$kto = unserialize($kto);
if (!$kto) msg("ERROR: Персонаж не найден!");
if ($kto["game_ban"]) msg("ERROR: Персонаж уже забанет!");
$title=$kto["title"];
$kto["game_ban"]=1;
$kto["game_ban_time"]=time()+$srok;
$file = fopen ("users/$logy.dat", "w+");
fputs($file,serialize($kto));
fclose ($file);
$stmp.="<br/>".$title." забанет!";
$like=date("d.m.y H:i");
$fp=@fopen("data/nak.dat","a+");
fwrite($fp, "$player[title]|$like|$title|$rez\n");
fclose($fp);
}
}
msg($stmp,"Пнуть",0,'none');
  }
  	if ($mod=='telep'){
	if ($player['style']=='0'){
	  msg("Телепорт(без loc.):<br/><input type=\"text\" name=\"inp\"/><br/>
  <anchor>Телепортироваться<go method=\"post\" href=\"$PHP_SELF?sid=$sid&mod=tele\">
  <postfield name=\"inp\" value=\"$(inp)\"/></go></anchor>");
	} else {
	msg("<form action=\"$PHP_SELF?sid=$sid&mod=tele\" method=\"post\">Телепорт(без loc.):<br/>
	<input name=\"inp\" class=\"inup\"/><br/><input type=\"submit\" value=\"Телепортироваться\" class=\"btn\">");
  }
  };
  	if ($mod=='tele') {
		$loc='loc.'.strtolower($inp);
		if (!isset($locations[$loc])) msg("<p>Нет локации ".$loc);
		if ($loc=='loc.adm' || $loc=='loc.adm1') msg("Вам там не место!");
		if (strpos($loc,".castle.")) msg("Вам там не место!");
		if (strpos($loc,".cast.")) msg("Вам там не место!");
		if($loc==$player["loc"]) msg("<p>Вы и так находитесь на этой локации");
		$game["loc"][$loc][$login]=$game["loc"][$player["loc"]][$login];
		unset($game["loc"][$player["loc"]][$login]);
		unset($player);
		$player=&$game["loc"][$loc][$login];
		$player["loc"]=$loc;
		$game["players"][$login]=$loc;
		}
//СООБЩЕНИЕ ОТ МОДЕРА
if ($mod=="msgtoall") {
if (!isset($gmsg)) {
if ($player['style']=='0'){
  msg("Сообщение:<br/><input type=\"text\" name=\"gmsg\"/><br/>
  <anchor>Сказать<go method=\"post\" href=\"$PHP_SELF?sid=$sid&mod=msgtoall\">
  <postfield name=\"gmsg\" value=\"$(gmsg)\"/></go></anchor>");
} else {
  msg("<form action=\"$PHP_SELF?sid=$sid&mod=msgtoall\" method=\"post\">Сообщение:<br/>
  <input name=\"gmsg\" class=\"inup\"/><br/><input type=\"submit\" value=\"Сказать\" class=\"btn\">");
  }
 } else {
   $gmsg=($gmsg);
 foreach (array_keys($game["players"]) as $j) {
 if ($j!=$login) { // чтоб сам себе не написал
$gmsg=strip_tags($gmsg);
$gmsg=str_replace("+"," ",$gmsg);
$gmsg=str_replace("&","",$gmsg);
$gmsg=str_replace("#","",$gmsg);
$gmsg=str_replace('$','',$gmsg);
$gmsg=$gmsg;
 addjournal($j,"Сообщение от модератора ".$player["title"].": ".$gmsg);
 $fp=@fopen("data/say_moder.dat","a+");
 fwrite($fp,"".$player["title"].": ".$gsmg."\n");
 fclose($fp);
}
   }
msg("Отправил!<br/>Сообщение от модератора ".$player["title"].": ".$gmsg);
}
}
//КТО В ИГРЕ?
		if ($mod=='online') {
		ai();        // обновим список
        if (count($game["players"])>0) {
                $stmp.="Сейчас в игре ".count($game["players"])." человек:";
                $ind=0;
                $count=0;
                if ($start<0 || !$start) $start=0;
                $online=array_keys($game["players"]);
                foreach($online as $i) {
                        if ($ind>=$start) {
                       if ($i!="user.") {
					   $ll=$game["loc"][$game["players"][$i]][$i]['loc'];
					   $loc1=explode("|",$locations[$ll]);
					   $ll=str_replace("loc.","",$ll);
                        $stmp.="\n<br/>".$game["loc"][$game["players"][$i]][$i]["title"]." (<a href=\"$PHP_SELF?sid=$sid&mod=tele&inp=".$ll."\">".$loc1[0]."</a>)".$game["loc"][$game["players"][$i]][$i]['server'];
                        }
                         $count++;
                        if ($count>=$count_show) break;        // след. страница, если слишком много человек или предметов
                        }
                        $ind++;
                        }
                if ($start && $start-$count_show>=0) $stmp.="\n<br/><a href=\"$PHP_SELF?sid=$sid&mod=online&start=".($start-$count_show)."\">[-]</a>";
                if ($count+$start<count($game["players"])) {if (!$start) $stmp.="\n<br/>"; $stmp.= " <a href=\"$PHP_SELF?sid=$sid&mod=online&start=".($count+$start)."\">[+]</a>";}
                } else $stmp.="<br/>Сейчас в игре никого нет"; msg($stmp);
}
	}
?>